/*
DL2 Monitor: ./pa/utils.c
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (utils): Utilities
 *
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020330  created from scratch
 * $Id: utils.c,v 1.2 2002/04/08 08:34:25 dv Exp $
 *----------------------------------------------------------------------------
*/
# include "lib/dl2pa.h"

Octet str2oct(const Octet *s) {
  return s[0];
} //str2oct


Doctet str2doct(const Octet *s) {
  Doctet r = (Doctet)s[0] & 0xff;
  r = (r << 8) + (s[1] & 0xff);
  return r;
} //str2doct


Qoctet str2qoct(const Octet *s) {
  Qoctet r = (Qoctet)s[0] & 0xff;
  r = (r << 8) + (s[1] & 0xff);
  r = (r << 8) + (s[2] & 0xff);
  r = (r << 8) + (s[3] & 0xff);
  return r;
} //str2qoct

/***EOM***/
